Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface IPluginExtension

All Superinterfaces:
  IAdaptable, IIdentifiable, IPluginObject, IPluginParent, IWritable

public interface IPluginExtension
extends IPluginParent, IIdentifiable

Classes that implement this interface model the extension element found in the plug-in or fragment manifest.

Field Summary
`static String` | `P_POINT` A name of the property that will be used to notify about the "point" change

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginParent
`P_SIBLING_ORDER`

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`P_NAME`

Fields inherited from interface org.eclipse.pde.core.IIdentifiable
`P_ID`

Method Summary
`String` | `getPoint()` Returns the full Id of the extension point that this extension is plugged into.
`Object` | `getSchema()` Returns the schema for the extension point that this extension is plugged into or `null` if not found.
`void` | `setPoint(String point)` Sets the value of the extension point Id This method will throw a CoreException if this model is not editable.

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginParent
`add, add, getChildCount, getChildren, getIndexOf, remove, swap`

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IIdentifiable
`getId, setId`

Field Detail

### P_POINT

    public static final String P_POINT

  A name of the property that will be used to notify about the "point" change

  See Also:
    Constant Field Values

Method Detail

### getPoint

    public String getPoint()

  Returns the full Id of the extension point that this extension is plugged into.

### getSchema

    public Object getSchema()

  Returns the schema for the extension point that this extension is plugged into or `null` if not found.

  This method is an implementation detail - schema object is not needed for clients outside PDE and should not be used.

### setPoint

    public void setPoint(String point)
                  throws CoreException

  Sets the value of the extension point Id This method will throw a CoreException if this model is not editable.

  Parameters:
    `point` - the new extension point Id
  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.